# $Revision: 1.11 $, $Date: 2012/01/17 11:55:37 $
Summary:	An NTP client/server
Name:		chrony
Version:	1.26
Release:	5
License:	GPL v2
Group:		Daemons
URL:		http://chrony.tuxfamily.org/
Source0:	http://download.tuxfamily.org/chrony/%{name}-%{version}.tar.gz
# Source0-md5:	ad6dd619ff1986e4ff780363c64e2246
Source1:	%{name}.conf
Source2:	%{name}.keys
Source3:	%{name}d.sysconfig
Source4:	%{name}d.init
Source5:	%{name}.logrotate
Source6:	%{name}d.upstart
BuildRequires:	bison
BuildRequires:	libcap-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	texinfo
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(ntp)
Provides:	ntpdaemon
Provides:	user(ntp)
Obsoletes:	ntpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ntp

# assume gcc 3.4 has it
%if "%{cc_version}" >= "3.4"
%define		specflags	-pie -fpie
%endif

%description
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with dial-up Internet connections, and also supports computers
in permanently connected environments.

%prep
%setup -q

%{__sed} -i -e 's,/usr/local,%{_prefix},g' *.texi

%build
# NOTE: It is not autoconf generated configre
CC="%{__cc}" \
CFLAGS="%{rpmcflags} -Wmissing-prototypes -Wall" \
CPPFLAGS="%{rpmcppflags}" \
./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--docdir=%{_docdir} \
	--without-editline \

%{__make} getdate all docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,logrotate.d,rc.d/init.d,init} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/var/{lib/ntp,log/chrony}}

%{__make} install install-docs \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/chrony.conf
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/keys
cp -a %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/chronyd
cp -a %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/chrony
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/chronyd
cp -p %{SOURCE6} $RPM_BUILD_ROOT/etc/init/chronyd.conf

touch $RPM_BUILD_ROOT%{_localstatedir}/lib/ntp/{drift,rtc}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 246 ntp
%useradd -u 246 -d %{_localstatedir}/lib/ntp -g ntp -c "NTP Daemon" ntp

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add chronyd
%service chronyd restart

%preun
if [ "$1" = "0" ]; then
	%service chronyd stop
	/sbin/chkconfig --del chronyd
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	%userremove ntp
	%groupremove ntp
fi

%files
%defattr(644,root,root,755)
%doc NEWS README chrony.txt faq.txt examples/*
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/chrony.conf
%attr(640,root,ntp) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/keys
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/chronyd
%config(noreplace) %verify(not md5 mtime size) /etc/init/chronyd.conf
%config(noreplace) /etc/logrotate.d/chrony
%attr(754,root,root) /etc/rc.d/init.d/chronyd
%attr(755,root,root) %{_bindir}/chronyc
%attr(755,root,root) %{_sbindir}/chronyd
%{_mandir}/man1/chrony.1*
%{_mandir}/man1/chronyc.1*
%{_mandir}/man5/chrony.conf.5*
%{_mandir}/man8/chronyd.8*
%{_infodir}/chrony.info*

%dir %attr(770,root,ntp) /var/lib/ntp
%attr(640,ntp,ntp) %ghost /var/lib/ntp/drift
%attr(640,ntp,ntp) %ghost /var/lib/ntp/rtc

%dir %attr(770,ntp,ntp) /var/log/chrony

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chrony.spec,v $
Revision 1.11  2012/01/17 11:55:37  glen
- no -pie on gcc 3.3.6 (ac), assume gcc 3.4 has it

Revision 1.10  2012/01/17 11:51:24  glen
- --with-readline is not valid opt

Revision 1.9  2012/01/10 07:59:07  arekm
- release 5

Revision 1.8  2012/01/09 11:52:00  glen
- restore mistakenly removed initscript

Revision 1.7  2011/12/14 07:58:29  glen
- add upstart config

Revision 1.6  2011/08/26 13:05:21  arekm
- rel 2; fix-info-dir fix

Revision 1.5  2011/08/26 10:26:17  arekm
- up to 1.26

Revision 1.4  2011/05/11 11:16:50  glen
- up to 1.25

Revision 1.3  2010/02/07 19:06:02  glen
- update path to keys

Revision 1.2  2010/02/07 19:02:16  glen
- up to 1.24 release, update paths in manual

Revision 1.1  2010/02/07 18:28:29  glen
- new, based on fc package
